VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "VB Test Application for NWInfo.DLL"
   ClientHeight    =   6855
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6855
   ScaleWidth      =   6000
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox ComboBoxInfoType 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   1920
      List            =   "Form1.frx":0085
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   1080
      Width           =   3975
   End
   Begin VB.TextBox Text1 
      Height          =   975
      Left            =   150
      TabIndex        =   7
      Text            =   "Text1"
      Top             =   2160
      Width           =   5655
   End
   Begin VB.ComboBox ComboBoxDrv 
      Height          =   315
      ItemData        =   "Form1.frx":04BD
      Left            =   150
      List            =   "Form1.frx":04BF
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   1080
      Width           =   1455
   End
   Begin VB.ListBox List1 
      Height          =   2400
      ItemData        =   "Form1.frx":04C1
      Left            =   150
      List            =   "Form1.frx":04C3
      TabIndex        =   3
      Top             =   4080
      Width           =   5655
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Get &All Info"
      Height          =   495
      Left            =   150
      TabIndex        =   2
      Top             =   3480
      Width           =   5655
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Get &Selected Info"
      Height          =   495
      Left            =   150
      TabIndex        =   1
      Top             =   1560
      Width           =   5655
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Is NetWare Client32 &Loaded ?"
      Height          =   495
      Left            =   150
      TabIndex        =   0
      Top             =   120
      Width           =   5655
   End
   Begin VB.Label Label2 
      Caption         =   "&Requested Information"
      Height          =   255
      Left            =   2040
      TabIndex        =   6
      Top             =   840
      Width           =   3855
   End
   Begin VB.Label Label1 
      Caption         =   "&Drive"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   840
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()                 ' fill the combo box with the drive letters
    For drv = Asc("A") To Asc("Z")
       ComboBoxDrv.AddItem (Chr(drv) + ":")
       Next
    ComboBoxInfoType.ListIndex = 0
    ComboBoxDrv.ListIndex = 0
End Sub

Function GetThatInfo(ByVal drv As Byte, ByVal InfoType As Byte) As String
    ' call into the DLL function NWGetInfo with the selected parameter
    Dim NWCCode     As Integer
    Dim dataStr     As String * 255     ' fixed length string
    Dim dataVer     As NWCCVersion
    Dim dataLong    As Long
        
    GetThatInfo = ""                    ' set default value
    Select Case InfoType
           Case 0, 1, 2, 3, 4, 5, &H14, &H17, &H21, &H22, &H23, &H24, &H25, &H26, &H27, &H28, &H29, &H2A
                ' these parameters return a string
                NWCCode = NWGetInfo(drv, InfoType, dataStr)
                If NWCCode = 0 Then GetThatInfo = dataStr
           Case 6, 7, &H11, &H12, &H13, &H15, &H16, &H18, &H19, &H1A, &H1B
                ' these parameters return a long value
                NWCCode = NWGetInfoLong(drv, InfoType, dataLong)
                If NWCCode = 0 Then GetThatInfo = Hex(dataLong)
           Case &H1C
                ' this parameter returns the NetWare version
                NWCCode = NWGetInfoVer(drv, InfoType, dataVer)
                If NWCCode = 0 Then GetThatInfo = dataVer.major & "." & dataVer.minor
           Case Else
                GetThatInfo = drv & "-" & InfoType & " [ not implemented ]"
           End Select
           
    If NWCCode <> 0 Then GetThatInfo = drv & "-" & InfoType & ": Error " & Hex(NWCCode)
        
End Function
Private Sub Command1_Click()        ' check if client32 is loaded
    Dim NWCCode As Integer
    
    NWCCode = NWInitialize()
    If NWCCode = 0 _
        Then MsgBox "Client32 Loaded", [vbInformation], "NWInitialize" _
        Else MsgBox "Client32 Not Loaded (Error code: " & Hex(NWCCode) & ")", [vbCritical], "NWInitialize"
End Sub
Private Sub Command2_Click()        ' get selected info for selected drive
    Text1.Text = GetThatInfo(ComboBoxDrv.ListIndex + 1, ComboBoxInfoType.ListIndex)
End Sub
Private Sub Command3_Click()        ' get all info for selected drive
    Dim NWCCode     As Integer
    Dim InfoType    As Byte
    
    List1.Clear
    For InfoType = 0 To (ComboBoxInfoType.ListCount - 1)
        List1.AddItem GetThatInfo(ComboBoxDrv.ListIndex + 1, InfoType)
        Next
End Sub
Private Sub Form_Resize()           ' cosmetic: adjust control size to form size
    Const Border = 150
    
    Command1.Width = Form1.Width - 3 * Border
    Command2.Width = Command1.Width
    Command3.Width = Command1.Width
    Text1.Width = Command1.Width
    List1.Width = Command1.Width
    List1.Height = Form1.Height - List1.Top - 3 * Border
    ComboBoxInfoType.Width = Form1.Width - ComboBoxInfoType.Left - 2 * Border
End Sub
