Attribute VB_Name = "Module1"

'************* type declarations ********************

Public Type NWCCVersion
    major       As Long
    minor       As Long
    revision    As Long
    End Type
    
'************* NWINFO.DLL function declarations ********************

' NWInitialize
'   this function checks if the NetWare Client32 is available
'   0 is returned on success
Public Declare Function NWInitialize Lib "NWInfo.dll" () As Integer


' NWGetInfo
'   For ease of use we access one DLL function (NWGetInfo) with multiple declarations
'   Thereby we avoid type conversions that are not always easy in VB
                
Public Declare Function NWGetInfo Lib "NWInfo" _
    (ByVal drv As Byte, ByVal InfoType As Byte, ByVal Info As String) As Integer

Public Declare Function NWGetInfoVer Lib "NWInfo" Alias "NWGetInfo" _
    (ByVal drv As Byte, ByVal InfoType As Byte, ByRef Info As NWCCVersion) As Integer

Public Declare Function NWGetInfoLong Lib "NWInfo" Alias "NWGetInfo" _
    (ByVal drv As Byte, ByVal InfoType As Byte, ByRef Info As Long) As Integer

